
From: Dave Hansen <haveblue@us.ibm.com>

From: IWAMOTO Toshihiro <iwamoto@valinux.co.jp>
> I found the tests does not work well with Dave's patchset.
> I've found the followings:
>
> 	- setup_per_zone_pages_min() calls should be added in
> 	   capture_page_range() and online_pages()
> 	- lru_add_drain() should be called before try_to_migrate_pages()

The following patch deals with the first item.

Signed-off-by: IWAMOTO Toshihiro <iwamoto@valinux.co.jp>
Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/memory_hotplug.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN mm/memory_hotplug.c~memory-hotplug-call-setup_per_zone_pages_min-after-hotplug mm/memory_hotplug.c
--- 25/mm/memory_hotplug.c~memory-hotplug-call-setup_per_zone_pages_min-after-hotplug	Fri Sep  2 15:20:33 2005
+++ 25-akpm/mm/memory_hotplug.c	Fri Sep  2 15:20:33 2005
@@ -133,5 +133,7 @@ int online_pages(unsigned long pfn, unsi
 	}
 	zone->present_pages += onlined_pages;
 
+	setup_per_zone_pages_min();
+
 	return 0;
 }
_
